import Vue from "vue";
import VueRouter from "vue-router";




Vue.use(VueRouter);
// 解决ElementUI导航栏中的vue-router在3.0版本以上重复点菜单报错问题
const originalPush = VueRouter.prototype.push
VueRouter.prototype.push = function push(location) {
  return originalPush.call(this, location).catch(err => err)
}
const routes = [
  {
    path: "/",
    //默认跳转路由
    redirect:'/ChuanDa/66/leftmenu/0',
  },
  {
    path: "/login",
    name: "login",
    component: () => import("../views/Login.vue"),
  },
  {
    path: "/ChuanDa/:id",
    name:"ChuanDa",
    props:true,
    component: () => import("../views/Levelsone.vue"),
    children: [
      {
        path: "leftmenu/:a",
        name: "Leftmenu",
        props:true,
        component: () => import("../views/Contain.vue"),
      },
      {
        path: "leftmenu/:a/description/:b",
        name: "Description",
        props:true,
        component: () => import("../views/Description.vue"),
      
      },
    ],
  },
  {
    path: "*",
    component: () => import("../views/Notfound.vue"),
   
  },

];

const router = new VueRouter({
  // mode:"hash",//路由模式为history
  // base:'/sc/',
  routes,
});

export default router;
